package com.jz.dmp.modules.controller;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.jz.common.bean.BaseBeanResponse;
import com.jz.common.constant.StatuConstant;
import com.jz.dmp.modules.controller.bean.DmpProjectDto;
import com.jz.dmp.modules.controller.bean.DmpProjectRequest;
import com.jz.dmp.modules.service.DmpProjectService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 项目信息Controller
 * @author ybz
 *
 */
@RestController
@RequestMapping("/dmp/project")
@Api(tags = "项目信息")
public class DmpProjectController {
	
	@Autowired
	private DmpProjectService dmpProjectService;
	
	
	/**列表查询项目信息
	 * @param dmpProjectRequest
	 * @return
	 */
	@RequestMapping(method = RequestMethod.POST, value = "/findList")
	@ApiOperation(value = "列表查询项目信息", notes = "列表查询项目信息")
	public BaseBeanResponse<DmpProjectDto> findList(@RequestBody DmpProjectRequest dmpProjectRequest, HttpServletRequest httpRequest){
		BaseBeanResponse<DmpProjectDto> baseBeanResponse = new BaseBeanResponse<DmpProjectDto>();
		try {
			baseBeanResponse = dmpProjectService.findList(dmpProjectRequest, httpRequest);
		} catch (Exception e) {
			baseBeanResponse.setMessage("查询失败");
			baseBeanResponse.setCode(StatuConstant.FAILURE_CODE);
			e.printStackTrace();
		}
		
		return baseBeanResponse;
	}
}
