package com.jz.dmp.modules.service.sys;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import com.jz.common.bean.BaseBeanResponse;
import com.jz.common.bean.BaseResponse;
import com.jz.common.bean.PageInfoResponse;
import com.jz.dmp.modules.controller.sys.bean.DmpMemberBatch;
import com.jz.dmp.modules.controller.sys.bean.DmpMemberDto;
import com.jz.dmp.modules.controller.sys.bean.DmpMemberRequest;
import com.jz.dmp.modules.model.DmpMember;

/**
 * 用户表服务接口
 * @author ybz
 *
 */
public interface DmpMemberService {

	/**条件分頁查询所有用户表
	 * @param dmpMemberRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<Map<String, Object>> findListWithPage(DmpMemberRequest dmpMemberRequest, HttpServletRequest httpRequest)throws Exception;
	
	/**条件查询所有用户表
	 * @param dmpMemberRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpMemberDto> findList(DmpMemberRequest dmpMemberRequest, HttpServletRequest httpRequest)throws Exception;

	/**新增用户表
	 * @param dmpMember
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpMember> add(DmpMember dmpMember, HttpServletRequest httpRequest)throws Exception;
	
	/**主键查询用户表
	 * @param dmpMemberRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpMemberDto> findById(DmpMemberRequest dmpMemberRequest, HttpServletRequest httpRequest)throws Exception;

	/**修改用户表
	 * @param dmpMember
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpMember> edit(DmpMember dmpMember, HttpServletRequest httpRequest)throws Exception;

	/**主键删除用户表
	 * @param userId
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse deleteById(Integer userId, HttpServletRequest httpRequest)throws Exception;
	
	/**主键软删除用户表
	 * @param userId
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse softDeleteById(Integer userId, HttpServletRequest httpRequest)throws Exception;


	/**批量新增用户表
	 * @param dmpMemberVo
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpMemberBatch> addBatch(DmpMemberBatch dmpMemberBatch, HttpServletRequest httpRequest)throws Exception;


	/**  
	* @Title: findByUserName  
	* @Description: TODO(通过用户名获取用户)  
	* @param @param userName
	* @param @return
	* @param @throws Exception    参数  
	* @return DmpMember    返回类型  
	* @throws  
	*/ 
	public DmpMember findByUserName(String userName)throws Exception;


	/**  
	* @Title: getDefProjectByUserName  
	* @Description: TODO(获取用户默认的项目)  
	* @param @param username
	* @param @return    参数  
	* @return Integer    返回类型  
	* @throws  
	*/ 
	public Integer getDefProjectByUserName(String username);


	/**  
	* @Title: switchProj  
	* @Description: TODO(用户项目切换)  
	* @param @param projectId
	* @param @param httpRequest
	* @param @return
	* @param @throws Exception    参数  
	* @return BaseBeanResponse<DmpMember>    返回类型  
	* @throws  
	*/ 
	public BaseBeanResponse<DmpMember> switchProj(Integer projectId, HttpServletRequest httpRequest)throws Exception;

}
